<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/Utils/include/AVSCommon/Utils/Bluetooth/BluetoothEvents.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a></li><li class="navelem"><a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a></li><li class="navelem"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a></li><li class="navelem"><a class="el" href="dir_6eadaab29cdb7047f6853df6d41739df.html">Bluetooth</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">BluetoothEvents.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_bluetooth_device_interface_8h_source.html">AVSCommon/SDKInterfaces/Bluetooth/BluetoothDeviceInterface.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_a2_d_p_source_interface_8h_source.html">AVSCommon/SDKInterfaces/Bluetooth/Services/A2DPSourceInterface.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_a_v_r_c_p_target_interface_8h_source.html">AVSCommon/SDKInterfaces/Bluetooth/Services/AVRCPTargetInterface.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_a2_d_p_role_8h_source.html">AVSCommon/Utils/Bluetooth/A2DPRole.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for BluetoothEvents.h:</div>
<div class="dyncontent">
<div class="center"><img src="_bluetooth_events_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_bluetooth_2_bluetooth_events_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_bluetooth_2_bluetooth_events_8h" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_bluetooth_2_bluetooth_events_8h">
<area shape="rect" id="node2" href="_bluetooth_device_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/BluetoothDeviceInterface.h" alt="" coords="898,119,1143,157"/>
<area shape="rect" id="node8" href="_a2_d_p_source_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/A2DPSource\lInterface.h" alt="" coords="143,205,359,257"/>
<area shape="rect" id="node17" href="_a_v_r_c_p_target_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/AVRCPTarget\lInterface.h" alt="" coords="1289,205,1511,257"/>
<area shape="rect" id="node18" href="_a2_d_p_role_8h.html" title="AVSCommon/Utils/Bluetooth\l/A2DPRole.h" alt="" coords="1218,119,1409,157"/>
<area shape="rect" id="node9" href="_bluetooth_service_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/Bluetooth\lServiceInterface.h" alt="" coords="764,305,960,357"/>
<area shape="rect" id="node10" href="_s_d_p_record_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/SDPRecord\lInterface.h" alt="" coords="954,405,1164,457"/>
<area shape="rect" id="node15" href="_a2_d_p_sink_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/A2DPSink\lInterface.h" alt="" coords="516,205,717,257"/>
<area shape="rect" id="node16" href="_a_v_r_c_p_controller_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/AVRCPController\lInterface.h" alt="" coords="740,205,983,257"/>
<area shape="rect" id="node11" href="_formatted_audio_stream_adapter_8h.html" title="AVSCommon/Utils/Bluetooth\l/FormattedAudioStreamAdapter.h" alt="" coords="89,312,309,351"/>
<area shape="rect" id="node13" href="_audio_format_8h.html" title="AVSCommon/Utils/AudioFormat.h" alt="" coords="49,505,271,531"/>
<area shape="rect" id="node14" href="_formatted_audio_stream_adapter_listener_8h.html" title="AVSCommon/Utils/Bluetooth\l/FormattedAudioStreamAdapterListener.h" alt="" coords="27,412,294,451"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_bluetooth_events_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_bluetooth_2_bluetooth_events_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_bluetooth_2_bluetooth_events_8hdep" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_bluetooth_2_bluetooth_events_8hdep">
<area shape="rect" id="node2" href="_bluetooth_event_bus_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/include/AVSCommon/Utils\l/Bluetooth/BluetoothEventBus.h" alt="" coords="1778,245,1988,311"/>
<area shape="rect" id="node7" href="_blue_z_device_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/BluetoothImplementations\l/BlueZ/include/BlueZ/BlueZDeviceManager.h" alt="" coords="1052,479,1338,531"/>
<area shape="rect" id="node10" href="_blue_z_device_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/BluetoothImplementations\l/BlueZ/src/BlueZDeviceManager.cpp" alt="" coords="575,699,813,751"/>
<area shape="rect" id="node16" href="_m_p_r_i_s_player_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/BluetoothImplementations\l/BlueZ/src/MPRISPlayer.cpp" alt="" coords="1918,592,2123,644"/>
<area shape="rect" id="node18" href="_bluetooth_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Bluetooth/include/Bluetooth\l/Bluetooth.h" alt="" coords="2647,472,2834,537"/>
<area shape="rect" id="node34" href="_m_p_r_i_s_player_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/BluetoothImplementations\l/BlueZ/test/MPRISPlayerTest.cpp" alt="" coords="1547,479,1766,531"/>
<area shape="rect" id="node37" href="_bluetooth_a_v_r_c_p_transformer_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Bluetooth/include/Bluetooth\l/BluetoothAVRCPTransformer.h" alt="" coords="2776,359,2985,424"/>
<area shape="rect" id="node40" href="_bluetooth_event_listener_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/include/AVSCommon/Utils\l/Bluetooth/BluetoothEventListener\lInterface.h" alt="" coords="1766,119,1989,197"/>
<area shape="rect" id="node3" href="_default_client_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/src/DefaultClient.cpp" alt="" coords="2528,699,2756,751"/>
<area shape="rect" id="node4" href="_bluetooth_device_manager_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/include/AVSCommon/SDKInterfaces\l/Bluetooth/BluetoothDeviceManagerInterface.h" alt="" coords="2302,359,2600,424"/>
<area shape="rect" id="node5" href="_blue_z_bluetooth_device_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/BluetoothImplementations\l/BlueZ/include/BlueZ/BlueZBluetooth\lDeviceManager.h" alt="" coords="2146,585,2385,651"/>
<area shape="rect" id="node30" href="_bluetooth_event_bus_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/src/BluetoothEventBus.cpp" alt="" coords="2042,365,2228,417"/>
<area shape="rect" id="node31" href="_blue_z_a2_d_p_sink_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/BluetoothImplementations\l/BlueZ/include/BlueZ/BlueZA2DPSink.h" alt="" coords="406,479,661,531"/>
<area shape="rect" id="node33" href="_m_p_r_i_s_player_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/BluetoothImplementations\l/BlueZ/include/BlueZ/MPRISPlayer.h" alt="" coords="1384,365,1622,417"/>
<area shape="rect" id="node35" href="_pulse_audio_bluetooth_initializer_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/BluetoothImplementations\l/BlueZ/include/BlueZ/PulseAudioBluetooth\lInitializer.h" alt="" coords="1747,359,2019,424"/>
<area shape="rect" id="node24" href="_sample_application_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/SampleApplication.cpp" alt="" coords="2384,1099,2664,1137"/>
<area shape="rect" id="node6" href="_blue_z_bluetooth_device_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/BluetoothImplementations\l/BlueZ/src/BlueZBluetoothDeviceManager.cpp" alt="" coords="2119,699,2413,751"/>
<area shape="rect" id="node8" href="_media_endpoint_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/BluetoothImplementations\l/BlueZ/include/BlueZ/MediaEndpoint.h" alt="" coords="854,592,1102,644"/>
<area shape="rect" id="node9" href="_blue_z_a2_d_p_source_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/BluetoothImplementations\l/BlueZ/src/BlueZA2DPSource.cpp" alt="" coords="1065,699,1287,751"/>
<area shape="rect" id="node12" href="_blue_z_a2_d_p_sink_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/BluetoothImplementations\l/BlueZ/src/BlueZA2DPSink.cpp" alt="" coords="307,592,513,644"/>
<area shape="rect" id="node13" href="_blue_z_bluetooth_device_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/BluetoothImplementations\l/BlueZ/src/BlueZBluetoothDevice.cpp" alt="" coords="537,592,779,644"/>
<area shape="rect" id="node14" href="_blue_z_host_controller_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/BluetoothImplementations\l/BlueZ/src/BlueZHostController.cpp" alt="" coords="1176,592,1406,644"/>
<area shape="rect" id="node15" href="_d_bus_properties_proxy_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/BluetoothImplementations\l/BlueZ/src/DBusPropertiesProxy.cpp" alt="" coords="1430,592,1667,644"/>
<area shape="rect" id="node17" href="_pairing_agent_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/BluetoothImplementations\l/BlueZ/src/PairingAgent.cpp" alt="" coords="1690,592,1895,644"/>
<area shape="rect" id="node11" href="_media_endpoint_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/BluetoothImplementations\l/BlueZ/src/MediaEndpoint.cpp" alt="" coords="837,699,1041,751"/>
<area shape="rect" id="node19" href="_default_client_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/include/DefaultClient\l/DefaultClient.h" alt="" coords="2860,585,3087,651"/>
<area shape="rect" id="node29" href="_bluetooth_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Bluetooth/src/Bluetooth.cpp" alt="" coords="2648,592,2836,644"/>
<area shape="rect" id="node20" href="_interaction_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/InteractionManager.h" alt="" coords="2713,799,2936,851"/>
<area shape="rect" id="node27" href="_keyword_observer_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/KeywordObserver.h" alt="" coords="2866,699,3081,751"/>
<area shape="rect" id="node21" href="_user_input_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/UserInputManager.h" alt="" coords="2488,899,2707,951"/>
<area shape="rect" id="node26" href="_interaction_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/Interaction\lManager.cpp" alt="" coords="2730,899,2937,951"/>
<area shape="rect" id="node22" href="_sample_application_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/SampleApplication.h" alt="" coords="2488,999,2707,1051"/>
<area shape="rect" id="node25" href="_user_input_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/UserInput\lManager.cpp" alt="" coords="2731,999,2933,1051"/>
<area shape="rect" id="node23" href="main_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/main.cpp" alt="" coords="2688,1099,2886,1137"/>
<area shape="rect" id="node28" href="_keyword_observer_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/KeywordObserver.cpp" alt="" coords="3011,805,3286,844"/>
<area shape="rect" id="node32" href="_blue_z_a2_d_p_sink_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/BluetoothImplementations\l/BlueZ/test/BlueZA2DPSinkTest.cpp" alt="" coords="49,592,283,644"/>
<area shape="rect" id="node36" href="_pulse_audio_bluetooth_initializer_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/BluetoothImplementations\l/BlueZ/src/PulseAudioBluetoothInitializer.cpp" alt="" coords="1789,479,2075,531"/>
<area shape="rect" id="node38" href="_bluetooth_a_v_r_c_p_transformer_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Bluetooth/src/BluetoothAVRCPTransformer.cpp" alt="" coords="2857,479,3162,531"/>
<area shape="rect" id="node39" href="_bluetooth_a_v_r_c_p_transformer_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Bluetooth/test/BluetoothAVRCPTransformer\lTest.cpp" alt="" coords="3186,472,3470,537"/>
</map>
</div>
</div>
<p><a href="_bluetooth_events_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_bluetooth_event_type_hash.html">alexaClientSDK::avsCommon::utils::bluetooth::BluetoothEventTypeHash</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Helper struct to allow enum class to be a key in collections.  <a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_bluetooth_event_type_hash.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_bluetooth_event.html">alexaClientSDK::avsCommon::utils::bluetooth::BluetoothEvent</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base class for a <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_bluetooth_event.html" title="Base class for a BluetoothEvent. ">BluetoothEvent</a></code>.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_bluetooth_event.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_device_discovered_event.html">alexaClientSDK::avsCommon::utils::bluetooth::DeviceDiscoveredEvent</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_device_removed_event.html">alexaClientSDK::avsCommon::utils::bluetooth::DeviceRemovedEvent</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_device_state_changed_event.html">alexaClientSDK::avsCommon::utils::bluetooth::DeviceStateChangedEvent</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_media_streaming_state_changed_event.html">alexaClientSDK::avsCommon::utils::bluetooth::MediaStreamingStateChangedEvent</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_a_v_r_c_p_command_received_event.html">alexaClientSDK::avsCommon::utils::bluetooth::AVRCPCommandReceivedEvent</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_bluetooth_device_manager_initialized_event.html">alexaClientSDK::avsCommon::utils::bluetooth::BluetoothDeviceManagerInitializedEvent</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">alexaClientSDK::avsCommon</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html">alexaClientSDK::avsCommon::utils</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth.html">alexaClientSDK::avsCommon::utils::bluetooth</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a34bde195d5478870297fd79b234f58ca"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth.html#a34bde195d5478870297fd79b234f58ca">alexaClientSDK::avsCommon::utils::bluetooth::BluetoothEventType</a> { <br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth.html#a34bde195d5478870297fd79b234f58caa097982a08e7a5071e9429eab0ef50e7d">alexaClientSDK::avsCommon::utils::bluetooth::BluetoothEventType::DEVICE_DISCOVERED</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth.html#a34bde195d5478870297fd79b234f58caa3ef79aaf77bb203f9f1de0e1a816838d">alexaClientSDK::avsCommon::utils::bluetooth::BluetoothEventType::DEVICE_REMOVED</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth.html#a34bde195d5478870297fd79b234f58caa6628a0c308dec32806cc78398a3bb4d8">alexaClientSDK::avsCommon::utils::bluetooth::BluetoothEventType::DEVICE_STATE_CHANGED</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth.html#a34bde195d5478870297fd79b234f58caa97864a0060b402ad51663d8638f205d2">alexaClientSDK::avsCommon::utils::bluetooth::BluetoothEventType::STREAMING_STATE_CHANGED</a>, 
<br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth.html#a34bde195d5478870297fd79b234f58caa62d698d741b92adbc5ed19df3bd0f84b">alexaClientSDK::avsCommon::utils::bluetooth::BluetoothEventType::AVRCP_COMMAND_RECEIVED</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth.html#a34bde195d5478870297fd79b234f58caa87a9e4b3e2ac68ac3dec2bca56c77788">alexaClientSDK::avsCommon::utils::bluetooth::BluetoothEventType::BLUETOOTH_DEVICE_MANAGER_INITIALIZED</a>
<br />
 }</td></tr>
<tr class="memdesc:a34bde195d5478870297fd79b234f58ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">The different Bluetooth event types.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth.html#a34bde195d5478870297fd79b234f58ca">More...</a><br /></td></tr>
<tr class="separator:a34bde195d5478870297fd79b234f58ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7717667c8458923f390f6302b54e907a"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth.html#a7717667c8458923f390f6302b54e907a">alexaClientSDK::avsCommon::utils::bluetooth::MediaStreamingState</a> { <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth.html#a7717667c8458923f390f6302b54e907aaa5daf7f2ebbba4975d61dab1c40188c7">alexaClientSDK::avsCommon::utils::bluetooth::MediaStreamingState::IDLE</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth.html#a7717667c8458923f390f6302b54e907aac69f06e1a9b016d133907b4e5f5864d2">alexaClientSDK::avsCommon::utils::bluetooth::MediaStreamingState::PENDING</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth.html#a7717667c8458923f390f6302b54e907aa18ff74f43da410c5529f7d6fca84f115">alexaClientSDK::avsCommon::utils::bluetooth::MediaStreamingState::ACTIVE</a>
 }</td></tr>
<tr class="memdesc:a7717667c8458923f390f6302b54e907a"><td class="mdescLeft">&#160;</td><td class="mdescRight">An Enum representing the current state of the stream.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth.html#a7717667c8458923f390f6302b54e907a">More...</a><br /></td></tr>
<tr class="separator:a7717667c8458923f390f6302b54e907a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
